/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

/*!
    \file   lcas_defines.h
    \brief  Public header file with common definitions for the LCAS (authorization modules)
    \author Martijn Steenbakkers for the EU DataGrid.

    Here the return values for the LCAS plugins/modules are defined as well as the
    default locations of the LCAS "etc", "lib" and "modules" directories.
    \ingroup APIforLcasPlugins
*/

#ifndef LCAS_DEFINES_H
#define LCAS_DEFINES_H

/******************************************************************************
                             Define constants
******************************************************************************/

#define LCAS_MOD_SUCCESS (int)(0) /*!< Return value of LCAS plugin module
                                       indicating succes (authorization granted)*/
#define LCAS_MOD_FAIL    (int)(1) /*!< Return value of LCAS plugin module
                                       indicating failure (no authorization) */
#define LCAS_MOD_NOFILE  (int)(2) /*!< Return value of LCAS plugin module
                                       indicating that no file could be found */
#define LCAS_MOD_ENTRY   (int)(3) /*!< Return value of LCAS plugin module
                                       indicating that an entry was found */
#define LCAS_MOD_NOENTRY (int)(4) /*!< Return value of LCAS plugin module
                                       indicating that no entry was found */

#define LCAS_ETC_HOME "/opt/edg/etc/lcas" /*!< default directory for LCAS
                                               configuration data bases */
#define LCAS_LIB_HOME "/opt/edg/lib/lcas" /*!< default directory for the
                                               LCAS library */
#define LCAS_MOD_HOME "/opt/edg/lib/lcas/modules" /*!< default directory for
                                                       the LCAS plugins/modules */

#endif /* LCAS_DEFINES_H */

/******************************************************************************
CVS Information:
    $Source: /local/reps/lcgware/fabric_mgt/gridification/lcas/include/lcas_defines.h,v $
    $Date: 2003/05/28 14:36:31 $
    $Revision: 2.5 $
    $Author: martijn $
******************************************************************************/
