/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

/*!
    \file   lcas_modules.h
    \brief  The LCAS authorization plugins/modules should "include" this file.
    \author Martijn Steenbakkers for the EU DataGrid.

    This file includes the header files that are needed by the LCAS authorization
    plugins/modules.
    \ingroup APIforLcasPlugins
*/
/*!
    \defgroup APIforLcasPlugins The API to be used by the LCAS plugins
    \brief The API is available by including the header lcas_modules.h
*/

#ifndef LCAS_MODULES_H
#define LCAS_MODULES_H

/******************************************************************************
                             Include header files
******************************************************************************/

#include <gssapi.h>
#include "lcas_utils.h"
#include "lcas_log.h"
#include "lcas_types.h"
#include "lcas_defines.h"

#endif /* LCAS_MODULES_H */

/******************************************************************************
CVS Information:
    $Source: /local/reps/lcgware/fabric_mgt/gridification/lcas/include/lcas_modules.h,v $
    $Date: 2003/05/28 14:36:31 $
    $Revision: 2.5 $
    $Author: martijn $
******************************************************************************/
