/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

/*!
    \file   lcas_types.h
    \brief  Public header file with typedefs for LCAS
    \author Martijn Steenbakkers for the EU DataGrid.
    \ingroup APIforLcasPlugins
    \ingroup LcasInterface
*/

#ifndef LCAS_TYPES_H
#define LCAS_TYPES_H

/******************************************************************************
                             Include header files
******************************************************************************/

#include <gssapi.h>

/******************************************************************************
                               Type definitions
******************************************************************************/

/*!
    \typedef lcas_request_t
    \brief Type of the LCAS request expressed in RSL/JDL

    (Internal) just a string.
*/
typedef char *lcas_request_t;

/*!
    \struct lcas_cred_id_s
    \brief structure representing an LCAS credential.
*/
/*!
    \typedef lcas_cred_id_t
    \brief Type of LCAS credentials
*/
typedef struct lcas_cred_id_s
{
    gss_cred_id_t  cred; /*!< the original gss (globus) credential */
    char *         dn;   /*!< the user distinguished name (DN) */
}
lcas_cred_id_t;

#endif /* LCAS_TYPES_H */

/******************************************************************************
CVS Information:
    $Source: /local/reps/lcgware/fabric_mgt/gridification/lcas/include/lcas_types.h,v $
    $Date: 2003/08/08 16:16:07 $
    $Revision: 2.8 $
    $Author: martijn $
******************************************************************************/
